StarObjectSmallGraphicInternal::SdrGraphicRect Class Reference

Internal: virtual class to store a Sdr graphic rectangle. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicRect:

## Public Member Functions

| SdrGraphicRect (int id)
| constructor
| ~SdrGraphicRect () override
| destructor
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) override
| try to send the graphic to the listener
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText () override
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation
std::string | print () const override
| basic print function
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes

int | m_eckRag
| the eckRag?
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends

std::ostream & | operator<< (std::ostream &o, SdrGraphicRect const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic rectangle.

## Constructor & Destructor Documentation

## SdrGraphicRect()

StarObjectSmallGraphicInternal::SdrGraphicRect::SdrGraphicRect | ( | int | id | ) |

inline explicit

constructor

Referenced by operator<<, StarObjectSmallGraphicInternal::SdrGraphicCaption::SdrGraphicCaption(), StarObjectSmallGraphicInternal::SdrGraphicCircle::SdrGraphicCircle(), StarObjectSmallGraphicInternal::SdrGraphicGraph::SdrGraphicGraph(), StarObjectSmallGraphicInternal::SdrGraphicOLE::SdrGraphicOLE(), and StarObjectSmallGraphicInternal::SdrGraphicUno::SdrGraphicUno().

## ~SdrGraphicRect()

StarObjectSmallGraphicInternal::SdrGraphicRect::~SdrGraphicRect | ( |  | ) |

override

destructor

## Member Function Documentation

## print()

std::string StarObjectSmallGraphicInternal::SdrGraphicRect::print | ( |  | ) | const

inline override virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicAttribute.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicUno.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCaption::print(), StarObjectSmallGraphicInternal::SdrGraphicCircle::print(), StarObjectSmallGraphicInternal::SdrGraphicGraph::print(), StarObjectSmallGraphicInternal::SdrGraphicOLE::print(), and StarObjectSmallGraphicInternal::SdrGraphicUno::print().

## send()

bool StarObjectSmallGraphicInternal::SdrGraphicRect::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )

inline override virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), and StarObjectSmallGraphicInternal::SdrGraphicOLE::send().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicRect const & | graph )

friend

print object data

## Member Data Documentation

## m_eckRag

int StarObjectSmallGraphicInternal::SdrGraphicRect::m_eckRag

the eckRag?

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectRect(), and SdrGraphicRect().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx